Directional Movement Index

- « trader_div

- trader_ema »

- PHP Manual
- Trader Functions
- Directional Movement Index

# trader_dx

(PECL trader >= 0.2.0)

trader_dx — Directional Movement Index

### Description

trader_dx(
array `$high`,
array `$low`,
array `$close`,
int `$timePeriod` = ?
): array

### Parameters

`high`

  High price, array of real values.

`low`

  Low price, array of real values.

`close`

  Closing price, array of real values.

`timePeriod`

  Number of period. Valid range from 2 to 100000.

### Return Values

Returns an array with calculated data or false on failure.